"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const vue = require("vue");
const uikitBaseComponentVue3 = require("@tencentcloud/uikit-base-component-vue3");
const IconButton = require("../base/IconButton.vue2.js");
const SettingDialog = require("./SettingDialog.vue3.js");
const _hoisted_1 = { class: "setting-control-container" };
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "index",
  setup(__props) {
    const { t } = uikitBaseComponentVue3.useUIKit();
    const showSettingDialog = vue.ref(false);
    function handleShowSettingDialog() {
      showSettingDialog.value = true;
    }
    function handleClose() {
      showSettingDialog.value = false;
    }
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [
        vue.createElementVNode("div", _hoisted_1, [
          vue.createVNode(IconButton.default, {
            "is-active": showSettingDialog.value,
            title: vue.unref(t)("Settings.Title"),
            onClickIcon: handleShowSettingDialog
          }, {
            default: vue.withCtx(() => [
              vue.createVNode(vue.unref(uikitBaseComponentVue3.IconSetting), { size: "24" })
            ]),
            _: 1
          }, 8, ["is-active", "title"])
        ]),
        showSettingDialog.value ? (vue.openBlock(), vue.createBlock(SettingDialog.default, {
          key: 0,
          visible: showSettingDialog.value,
          onClose: handleClose
        }, null, 8, ["visible"])) : vue.createCommentVNode("", true)
      ], 64);
    };
  }
});
exports.default = _sfc_main;
